org.apache.cassandra.streaming.messages

## Interface StreamMessage.Serializer<V extends StreamMessage>

Enclosing class:
  StreamMessage

    public static interface StreamMessage.Serializer<V extends StreamMessage>

StreamMessage serializer

### Method Summary

All Methods Instance Methods Abstract Methods
`V` `deserialize(java.nio.channels.ReadableByteChannel in, int version, StreamSession session)`
`void` `serialize(V message, DataOutputStreamPlus out, int version, StreamSession session)`

### Method Detail

#### deserialize

    V deserialize(java.nio.channels.ReadableByteChannel in,
                  int version,
                  StreamSession session)
           throws java.io.IOException

Throws:
  `java.io.IOException`

#### serialize

    void serialize(V message,
                   DataOutputStreamPlus out,
                   int version,
                   StreamSession session)
            throws java.io.IOException

Throws:
  `java.io.IOException`